<template>
  <b-icon icon="star"
          :type="`is-${type}`"
          :custom-size="customSize" />
</template>

<script lang="ts">
import { Component, Vue, Prop } from 'vue-property-decorator';
import { Star } from '../types/scores';

@Component
export default class UserScores extends Vue {
  @Prop(String) readonly type: Star;
  @Prop(String) readonly customSize: string;
}
</script>
